using System;
using BS.Shared;

namespace BeWo.Data.Entities
{
	public class Bargeldtransaktion : BeWoEntityBase
	{
		public static String PropertyName_Zahlungstyp = "Zahlungstyp";

		public static String PropertyName_Betrag = "Betrag";

        //public static String PropertyName_Customer = "Customer";

		public static String PropertyName_Zahlungsdatum = "Zahlungsdatum";

		public static String PropertyName_Transaktionskassenbestand = "Transaktionskassenbestand";

		public Bargeldtransaktion()
		{
			_Tid = TableID.Bargeldtransaktion;
		}

		private Zahlungstyp _Zahlungstyp;

		private decimal? _Betrag;

        //private Customer _Customer;

		private DateTime? _Zahlungsdatum;

		private decimal? _Transaktionskassenbestand;

		public virtual Zahlungstyp Zahlungstyp
		{
			get
			{
				return _Zahlungstyp;
			}

			set
			{
				if (AreDifferent(_Zahlungstyp, value))
				{
					_Zahlungstyp = value;
				}
			}
		}

		public virtual decimal? Betrag
		{
			get
			{
				return _Betrag;
			}

			set
			{
				if (AreDifferent(_Betrag, value))
				{
					_Betrag = value;
				}
			}
		}

        //public virtual Customer Customer
        //{
        //    get { return _Customer; }
        //    set
        //    {
        //        if (AreDifferent(_Customer, value))
        //            _Customer = value;
        //    }
        //}

		public virtual DateTime? Zahlungsdatum
		{
			get { return _Zahlungsdatum; }
			set
			{
				if (AreDifferent(_Zahlungsdatum, value))
				{
					_Zahlungsdatum = value;
				}
			}
		}

		public virtual decimal? Transaktionskassenbestand
		{
			get
			{
				return _Transaktionskassenbestand;
			}

			set
			{
				if (AreDifferent(_Transaktionskassenbestand, value))
				{
					_Transaktionskassenbestand = value;
				}
			}
		}
	}
}